CVE-2015-7981

NameCVE-2015-7981
DescriptionThe png_convert_to_rfc1123 function in png.c in libpng 1.0.x before 1.0.64, 1.2.x before 1.2.54, and 1.4.x before 1.4.17 allows remote attackers to obtain sensitive process memory information via crafted tIME chunk data in an image file, which triggers an out-of-bounds read.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-343-1, DSA-3399-1
NVD severitymedium (attack range: remote)
Debian Bugs803078

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libpng (PTS)wheezy, wheezy (security)1.2.49-1+deb7u2fixed
jessie1.2.50-2+deb8u3fixed
jessie (security)1.2.50-2+deb8u2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libpngsource(unstable)1.2.54-1medium803078
libpngsourcejessie1.2.50-2+deb8u1mediumDSA-3399-1
libpngsourcesqueeze1.2.44-1+squeeze5mediumDLA-343-1
libpngsourcewheezy1.2.49-1+deb7u1mediumDSA-3399-1

Notes

http://sourceforge.net/p/libpng/bugs/241/
http://sourceforge.net/p/libpng/code/ci/fbf0f024346ca0a4ffc64b082a95c6b6bb6d29c4/

Search for package or bug name: Reporting problems